import WorkflowPlugin, { Instruction, Processor } from '../..';
export default class extends Instruction {
    workflow: WorkflowPlugin;
    timers: Map<number, NodeJS.Timeout>;
    constructor(workflow: WorkflowPlugin);
    load: () => Promise<void>;
    unload: () => void;
    schedule(job: any): void;
    trigger(job: any): Promise<void>;
    run(node: any, prevJob: any, processor: Processor): Promise<any>;
    resume(node: any, prevJob: any, processor: Processor): Promise<any>;
}
